setFlexGrow() but not setFlexBasis() or setFlexShrink() ?

Is there a wisdom to not have the others implemented?

There is a ticket for flex shrink: FlexLayout: Provide API for flex-shrink · Issue #3772 · vaadin/flow-components · GitHub

@faithful-emu Just the man i hoped for. Unrelated question: If i were to work on this project of yours, would it be ok to upgrade it to latest vaadin version: https://github.com/vaadin-component-factory/autocomplete ? I want to refresh it and fix some bugs from the issues tab.

Yes. It’s definitely better to use Vaadin 23. I’m not sure if it’s easy to bump the vcf-autocomplete.